Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class RelativeTimeDateFormat

    java.lang.Object
      java.text.Format
          java.text.DateFormat
              org.apache.log4j.helpers.RelativeTimeDateFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class RelativeTimeDateFormat

extends java.text.DateFormat

Formats a `Date` by printing the number of milliseconds elapsed since construction of the format. This is the fastest printing DateFormat in the package.

Since:
  0.7.5
Author:
  Ceki Gülcü
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.DateFormat
`java.text.DateFormat.Field`

Field Summary
`protected long` | `startTime`

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`RelativeTimeDateFormat()`

Method Summary
`java.lang.StringBuffer` | `format(java.util.Date date, java.lang.StringBuffer sbuf, java.text.FieldPosition fieldPosition)` Appends to `sbuf` the number of milliseconds elapsed since the start of the application.
`java.util.Date` | `parse(java.lang.String s, java.text.ParsePosition pos)` This method does not do anything but return `null`.

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### startTime

    protected final long startTime

Constructor Detail

### RelativeTimeDateFormat

    public RelativeTimeDateFormat()

Method Detail

### format

    public java.lang.StringBuffer format(java.util.Date date,
                                         java.lang.StringBuffer sbuf,
                                         java.text.FieldPosition fieldPosition)

  Appends to `sbuf` the number of milliseconds elapsed since the start of the application.

  Specified by:
    `format` in class `java.text.DateFormat`
  Since:
    0.7.5

### parse

    public java.util.Date parse(java.lang.String s,
                                java.text.ParsePosition pos)

  This method does not do anything but return `null`.

  Specified by:
    `parse` in class `java.text.DateFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.